<?php

namespace Drupal\preview_graphql\Event;


/**
 * Event that is fired when an entity is updated.
 *
 * @see rules_user_login()
 */
class GetCidEvent extends PreviewGraphQlEventBase {

  const EVENT_NAME = 'preview_graphql.get_cid';

  protected $cid;

  public function setCid($cid) {
    $this->cid = $cid;
  }

  public function getCid() {
    return $this->cid;
  }

}
