<?php

namespace Drupal\preview_graphql\Event;

use Symfony\Component\EventDispatcher\Event;

/**
 * Event that is fired when an entity is updated.
 *
 * @see rules_user_login()
 */
abstract class PreviewGraphQlEventBase extends Event {

  /**
   * @var string
   */
  public $carrierCallback;

  public function __construct($carrier_callback) {
    $this->carrierCallback = $carrier_callback;
  }

}
